Bug 216784 - optipng internal error (incorrect libpng) with some images
optipng internal error (incorrect libpng) with some images
Product: Fedora
Classification: Fedora
Component: optipng (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-11-21 19:02 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-29 07:59:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Reproducer .png (8.50 KB, image/png)
2006-11-21 19:02 EST, Ville Skyttä
no flags Details

  None (edit)
Description Ville Skyttä 2006-11-21 19:02:45 EST
optipng-0.5.4-3.fc6.x86_64 fails on some pngs, such as the attached one, with
the following output:

$ optipng empty.png
OptiPNG 0.5.4: Advanced PNG optimizer.
Copyright (C) 2001-2006 Cosmin Truta.

** Processing: empty.png
68x42 8-bit RGB non-interlaced

Error: [internal error] Inconsistent internal structures (incorrect libpng?)

1 error(s) encountered.
Comment 1 Ville Skyttä 2006-11-21 19:02:45 EST
Created attachment 141855 [details]
Reproducer .png
Comment 2 Till Maas 2006-11-22 07:00:34 EST
Problem occurs also on i386
Comment 3 Till Maas 2006-11-29 07:59:16 EST
Fixed in 0.5.4-4, optipng checked to strictly to prevent image corruption. The
regarding check has been removed now.

Note You need to log in before you can comment on or make changes to this bug.